Subject: Re: Mail Server?
From: Brian Dessent <[email-masked]>
To: Cygwin <[email-masked]>
Date: Sat, 16 Aug 2003 18:52:40 -0700

Bill McCormick wrote:

> I don't have have a pop to get mail from. My DNS is going to send mail for
> [email-masked] to my machine/IP.
> 
> I think I need to use exim ... but the man page for exim is friggen post war
> novel. The /etc/eximconfig file is fairly well filled with useful
> information. I was just curious if there is anyone here using exim on cygwin
> to do a relay and if there are any caviats. I didn't find much on the list.

(sigh) Why didn't you say that in the first place?  Are we supposed to
read your mind?  And BTW "DNS" does not "send mail".  I think what you
meant to say is that you have an MX record that indicates that your
machine is a relay for the 'mydomain.com' domain.

Yes, exim will do that.  You're better off editing the exim.conf file
and reading its comments.  The exim manual is large, because exim can be
used to do a lot of things.  You should also read the exim FAQ on
exim.org, specifically Q0320, which suggests something like the
following in your routers section:

mydomain_forward:
  driver = redirect
  domains = mydomain.com
  data = [email-masked]

That should forward any message destined for @mydomain.com to
[email-masked]'  You'll also have to add mydomain.com to the local
domains list in order for exim to accept the mail.

Brian

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/